### Method

# Gsk PathBuilderadd_circle

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_add_circle (
      GskPathBuilder* self,
      const graphene_point_t* center,
      float radius
    )

#### Description [src]

Adds a circle with the `center` and `radius`.

The path is going around the circle in clockwise direction.

If `radius` is zero, the contour will be a closed point.

Available since: 4.14

#### Parameters

`center`

  Type: `graphene_point_t`

  The center of the circle.

  The data is owned by the caller of the method.

`radius`

  Type: `float`

  The radius of the circle.